TYPO3.Fluid - Bug #6570

RuntimeException thrown in file ViewHelperVariableContainer.php
2010-02-23 17:21 - Arno Dudek

Status: Closed Start date: 2010-02-23
Priority: -- undefined -- Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Has patch:

Description

No value found for key "F3\Fluid\ViewHelpers\FormViewHelper->formObject"
F3\Fluid\Core\ViewHelper\ViewHelperVariableContainer: :get ("F3\Fluid\ViewHelpers\FormViewHelper"

"formObject")

F3\Fluid\ViewHelpers\Form\AbstractFormFieldViewHelper: :getPropertyValue ()
F3\Fluid\ViewHelpers\Form\CheckboxViewHelper: :render (NULL)

call_user_func_array(array, array)

F3\Fluid\Core\Parser\SyntaxTree\ViewHelperNode: :evaluate ()
F3\Fluid\Core\Parser\SyntaxTree\AbstractNode: :evaluateChildNodes ()
F3\Fluid\Core\ViewHelper\AbstractViewHelper: :renderChildren ()
F3\Fluid\ViewHelpers\FormViewHelper: :render ("createAddressType", array, NULL, NULL, NULL, NULL,

"r, NULL, NULL)
call_user_func_array (array, array)
F3\Fluid\Core\Parser\SyntaxTree\ViewHelperNode: :evaluate ()
F3\Fluid\Core\Parser\SyntaxTree\AbstractNode: :evaluateChildNodes ()
F3\Fluid\Core\ViewHelper\AbstractViewHelper: :renderChildren ()
F3\Fluid\ViewHelpers\SectionViewHelper: :render ()
call_user_func_array(array, array)
F3\Fluid\Core\Parser\SyntaxTree\ViewHelperNode: :evaluate ()
F3\Fluid\View\TemplateView: :renderSection ("mainbox")
F3\Fluid\ViewHelpers\RenderViewHelper: :render ("mainbox", "", array)
call_user_func_array (array, array)
F3\Fluid\Core\Parser\SyntaxTree\ViewHelperNode: :evaluate ()
F3\Fluid\Core\Parser\SyntaxTree\AbstractNode: :evaluateChildNodes ()
F3\Fluid\Core\Parser\SyntaxTree\RootNode: :evaluate ()
F3\Fluid\Core\Parser\ParsingState: :render (F3\Fluid\Core\Rendering\RenderingContext)
F3\Fluid\View\TemplateView: :renderWithLayout ("master")
F3\Fluid\View\TemplateView: :render ()

20 F3\FLOW3\MVC\Controller\ActionController::callActionMethod ()

19 F3\FLOW3\MVC\Controller\ActionController: :processRequest (F3\FLOW3\MVC\Web\Request, F3\FLOW3\MVC
\Web\Response)

18 F3\FLOW3\MVC\Dispatcher: :dispatch (F3\FLOW3\MVC\Web\Request, F3\FLOW3\MVC\Web\Response)

17 F3\FLOW3\MVC\Dispatcher_ AOPProxy_Development::dispatch (F3\FLOW3\MVC\Web\Request, F3\FLOW3\MVC\W
eb\Response)

16 call_user_func_array(array, array)

15 F3\FLOW3\MVC\Dispatcher_ AOPProxy_Development::FLOW3_AOP_Proxy_invokeJoinPoint (F3\FLOW3\AOP\Join
Point)
14 F3\FLOW3\AOP\Advice\AdviceChain: :proceed (F3\FLOW3\AOP\JoinPoint)
F3\FLOW3\Security\Aspect\RequestDispatchingAspect: :checkRequestHash (F3\FLOW3\AOP\JoinPoint)
F3\FLOW3\AOP\Advice\AroundAdvice: :invoke (F3\FLOW3\AOP\JoinPoint)
F3\FLOW3\AOP\Advice\AdviceChain: :proceed (F3\FLOW3\AOP\JoinPoint)
F3\FLOW3\Security\Aspect\RequestDispatchingAspect::blockIllegalRequests (F3\FLOW3\AOP\JoinPoint)

F3\FLOW3\AOP\Advice\AroundAdvice: :invoke (F3\FLOW3\AOP\JoinPoint)
F3\FLOW3\AOP\Advice\AdviceChain: :proceed (F3\FLOW3\AOP\JoinPoint)
F3\FLOW3\Security\Aspect\RequestDispatchingAspect::initializeSecurity (F3\FLOW3\AOP\JoinPoint)
F3\FLOW3\AOP\Advice\AroundAdvice: :invoke (F3\FLOW3\AOP\JoinPoint)
F3\FLOW3\AOP\Advice\AdviceChain: :proceed (F3\FLOW3\AOP\JoinPoint)
F3\FLOW3\MVC\Dispatcher_AOPProxy_Development::dispatch (F3\FLOW3\MVC\Web\Request, F3\FLOW3\MVC\We

b\Response)

3 F3\FLOW3\MVC\Web\RequestHandler: :handleRequest ()

2 F3\FLOW3\Core\Bootstrap::run ()

1 require ("/Library/WebServer/htdocs/FLOW3-1.0.0-alpha7/Packages/Framework/FLOW3/Scripts/FLOW3.php
")

Hi!

| have nearly the same problem like http:/forge.typo3.org/issues/show/4277 and http:/forge.typo3.org/issues/show/6004

Error at rendering of forms only at checkboxes:
The upper Exception thrown if the new-action in the controller is like this:

/**

* Index action

* @param \F3\AddressBook\Domain\Model\AddressType S$newAddressType
* @return string
* @dontvalidate $newAddressType
7
public function newAddressTypeAction (\F3\AddressBook\Domain\Model\AddressType $newAddressType
= NULL) {
$Sthis->view->assign ('newAddressType', $newAddressType);

Workaround for this (like http:/forge.typo3.org/issues/show/6004):

/‘k*

* Index action

*

* @param \F3\AddressBook\Domain\Model\AddressType S$newAddressType

* @return string

* @dontvalidate $newAddressType

=/
public function newAddressTypeAction (\F3\AddressBook\Domain\Model\AddressType S$newAddressType

= NULL) {
if ($newAddressType === NULL) {
$newAddressType = $this->objectFactory->create ('F3\AddressBook\Domain\Model\AddressTyp

Sthis->view->assign ('newAddressType', S$newAddressType);

If this is done, an form error will shown: "Checkbox viewhelpers can only be bound to properties of type boolean or array. Property
"default" is of type "NULL"."

The expecting model definitions are:

/**
* @var boolean
7
protected $default;

/**
* Sets default
*
* @param integer
* @return void
=/
public function setDefault ($default) {
Sthis->default = $default;

/**
* Returns default
*

* @return integer
LY/
public function getDefault () {
return S$this->default;
workaround

/**
* Sets default

* @param integer

* @return void

Y/

public function setDefault ($Sdefault) {
Sthis->default = (boolean) S$default;

/**

* Returns default
*

* @return integer

Y/

public function getDefault () {
return (boolean) S$this—->default;

In this case, I'm not sure if this should be this way.

And at least if all is done, the checkbox is checked by default, even than when $this->default is set to false.

History

#1 - 2010-03-11 10:55 - Karsten Dambekalns
- Project changed from TYPOG3.Flow to TYPQO3.Fluid
- Category deleted (MVC)

#2 - 2011-05-06 10:23 - Sebastian Kurfuerst

- Status changed from New to Closed

fixed until now.
